@font-face {
    font-family: "font_fredoka";
    src: url("assets/fredoka.ttf");
}

* {
    --color_background: #406060;
    --color_text: #EEDBCB;
    --color_link: #C2A993;

    box-sizing: border-box;
    font-family: "font_fredoka", "sans-serif";
    background: var(--color_background);
    color: var(--color_text);
}

body {
    margin: 0 auto;
    padding: 2rem;
    max-width: 740px;
    box-sizing: border-box;
    font-size: 1.4rem;
}

#langs {
    margin-left: 1.5rem;
}

textarea {
    height: 7rem;
    width: 30rem;
}

textarea:focus {
    outline: none;
}

button, textarea {
    border: none;
    font-size: 1.1rem;
    margin-top: 0.9rem;
    margin-left: 1.65rem;
    padding: 0.5rem 1.5rem;
    border: 0.14rem solid var(--color_text);
}

hr {
    border: none;
    border-top: 0.14rem solid var(--color_text);
}

button {
    color: var(--color_background);
    background: var(--color_text);
}

a {
    color: var(--color_link);
}

header {
    margin-bottom: 2.8rem;
}

h1 {
    font-size: 2.8rem;
    margin-bottom: 0rem;
}

h2 {
    font-size: 1.9rem;
    margin-bottom: 1rem;
}

ul  {
    margin-left: 0.45rem;
}

dl {
    margin-left: 1.5rem;
}

dd {
    margin-left: 1.2rem;
    margin-top: 0.5rem;
    margin-bottom: 0.8rem;
}

section {
    margin-bottom: 1.35rem;
}

footer {
    font-size: 1.1rem;
    margin-top: 3.5rem;
}

@media (max-width: 600px) {
    body {
        font-size: 1.1rem;
    }

    h1 {
        font-size: 2.4rem;
    }

    h2 {
        font-size: 1.5rem;
    }
    
    textarea {
        width: 80%;
    }
}
